org.apache.solr.handler.dataimport

## Class RequestInfo

- java.lang.Object
- - org.apache.solr.handler.dataimport.RequestInfo

-     public class RequestInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestInfo(SolrQueryRequest request, Map<String,Object> requestParams, ContentStream stream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommand()`
    `String` | `getConfigFile()`
    `ContentStream` | `getContentStream()`
    `String` | `getDataConfig()`
    `DebugInfo` | `getDebugInfo()`
    `List<String>` | `getEntitiesToRun()` Returns null if we are to run all entities, otherwise just run the entities named in the list.
    `Map<String,Object>` | `getRawParams()`
    `SolrQueryRequest` | `getRequest()`
    `long` | `getRows()`
    `int` | `getStart()`
    `boolean` | `isClean()`
    `boolean` | `isCommit()`
    `boolean` | `isDebug()`
    `boolean` | `isOptimize()`
    `boolean` | `isSyncMode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestInfo

          public RequestInfo(SolrQueryRequest request,
                             Map<String,Object> requestParams,
                             ContentStream stream)

  - ### Method Detail

    - #### getCommand

          public String getCommand()

    - #### isDebug

          public boolean isDebug()

    - #### isSyncMode

          public boolean isSyncMode()

    - #### isCommit

          public boolean isCommit()

    - #### isOptimize

          public boolean isOptimize()

    - #### getStart

          public int getStart()

    - #### getRows

          public long getRows()

    - #### isClean

          public boolean isClean()

    - #### getEntitiesToRun

          public List<String> getEntitiesToRun()

      Returns null if we are to run all entities, otherwise just run the entities named in the list.

    - #### getDataConfig

          public String getDataConfig()

    - #### getRawParams

          public Map<String,Object> getRawParams()

    - #### getContentStream

          public ContentStream getContentStream()

    - #### getDebugInfo

          public DebugInfo getDebugInfo()

    - #### getConfigFile

          public String getConfigFile()

    - #### getRequest

          public SolrQueryRequest getRequest()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.